summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-03-22 20:16:55 +0000
committer Eric Hameleers <alien@slackware.com>2024-03-22 21:30:31 +0100
commite55090794aee9c31d337a44fc4df7df7cd5e344f (patch)
treed2d3c8e7171bd1d8312e1a52410bfa7585cd9663 /source
parentce7f2d7967aa2aeed236fffa905c01a2f898d0d3 (diff)
downloadcurrent-e55090794aee9c31d337a44fc4df7df7cd5e344f.tar.gz
current-e55090794aee9c31d337a44fc4df7df7cd5e344f.tar.xz
Fri Mar 22 20:16:55 UTC 202420240322201655
a/volume_key-0.3.12-x86_64-7.txz: Rebuilt. Build python3 bindings. l/atkmm2-2.36.3-x86_64-1.txz: Added. l/boost-1.84.0-x86_64-2.txz: Rebuilt. Drop python2 support. l/glibmm-2.66.7-x86_64-1.txz: Upgraded. l/gst-plugins-bad-free-1.24.1-x86_64-1.txz: Upgraded. l/gst-plugins-base-1.24.1-x86_64-1.txz: Upgraded. l/gst-plugins-good-1.24.1-x86_64-1.txz: Upgraded. l/gst-plugins-libav-1.24.1-x86_64-1.txz: Upgraded. l/gstreamer-1.24.1-x86_64-1.txz: Upgraded. l/gtkmm4-4.14.0-x86_64-1.txz: Upgraded. l/unicode-ucd-15.1.0-noarch-1.txz: Added. 153MB installed... oh well. Needed by gucharmap. xap/gucharmap-15.1.3-x86_64-1.txz: Upgraded. xap/x3270-4.3ga7-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/volume_key/volume_key.SlackBuild7
-rw-r--r--source/l/FTBFSlog3
-rwxr-xr-xsource/l/atkmm2/atkmm2.SlackBuild120
-rw-r--r--source/l/atkmm2/slack-desc19
-rwxr-xr-xsource/l/boost/boost.SlackBuild65
-rw-r--r--source/l/boost/boost.bootstrap.python3.diff11
-rwxr-xr-xsource/l/gst-plugins-bad-free/fetch-sources.sh2
-rw-r--r--source/l/qt5-webkit/icu68.patch170
-rw-r--r--source/l/qt5-webkit/qt5-webkit-bison-3.7.patch (renamed from source/l/qt5-webkit/qt5-webkit.bison27.patch)4
-rw-r--r--source/l/qt5-webkit/qt5-webkit-python-3.9.patch27
-rwxr-xr-xsource/l/qt5-webkit/qt5-webkit.SlackBuild10
-rwxr-xr-xsource/l/unicode-ucd/fetch-sources.sh11
-rw-r--r--source/l/unicode-ucd/license.txt39
-rw-r--r--source/l/unicode-ucd/slack-desc19
-rwxr-xr-xsource/l/unicode-ucd/unicode-ucd.SlackBuild75
-rwxr-xr-xsource/xap/gucharmap/gucharmap.SlackBuild42
-rw-r--r--source/xap/gucharmap/gucharmap.url1
-rw-r--r--source/xap/gucharmap/slack-desc2
18 files changed, 544 insertions, 83 deletions
diff --git a/source/a/volume_key/volume_key.SlackBuild b/source/a/volume_key/volume_key.SlackBuild
index 0649ba48f..0ec4188ed 100755
--- a/source/a/volume_key/volume_key.SlackBuild
+++ b/source/a/volume_key/volume_key.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=volume_key
VERSION=${VERSION:-$(echo $PKGNAM-$PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -105,13 +105,12 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--infodir=/usr/info \
--disable-static \
+ --without-python \
+ --with-python3 \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Nope.
-rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/python2.7/
-
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
diff --git a/source/l/FTBFSlog b/source/l/FTBFSlog
index 3842c6c08..a5dfbce42 100644
--- a/source/l/FTBFSlog
+++ b/source/l/FTBFSlog
@@ -1,3 +1,6 @@
+Fri Mar 22 18:04:34 UTC 2024
+ qt5-webkit: Patched to built with python3.
++--------------------------+
Thu Mar 14 19:58:14 UTC 2024
quazip: -DQUAZIP_QT_MAJOR_VERSION=5
+--------------------------+
diff --git a/source/l/atkmm2/atkmm2.SlackBuild b/source/l/atkmm2/atkmm2.SlackBuild
new file mode 100755
index 000000000..77b2b8fb1
--- /dev/null
+++ b/source/l/atkmm2/atkmm2.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Copyright 2015, 2018, 2020, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=atkmm2
+SRCNAM=atkmm
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/atkmm2/slack-desc b/source/l/atkmm2/slack-desc
new file mode 100644
index 000000000..d8a13ff09
--- /dev/null
+++ b/source/l/atkmm2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+atkmm2: atkmm2 (C++ bindings for ATK, ABI 2.36)
+atkmm2:
+atkmm2: atkmm2 is the C++ binding for the ATK library.
+atkmm2: This module is part of the GNOME C++ bindings effort.
+atkmm2:
+atkmm2: Homepage: http://www.gtkmm.org/
+atkmm2:
+atkmm2:
+atkmm2:
+atkmm2:
+atkmm2:
diff --git a/source/l/boost/boost.SlackBuild b/source/l/boost/boost.SlackBuild
index c1a79671e..66604a9e4 100755
--- a/source/l/boost/boost.SlackBuild
+++ b/source/l/boost/boost.SlackBuild
@@ -2,7 +2,7 @@
# Copyright 2007, 2008, 2012 Eric Hameleers, Eindhoven, NL
# Copyright 2007-2008, 2013, 2014, 2017 Heinz Wiesinger, Amsterdam, NL
-# Copyright 2008, 2009, 2010, 2013, 2014, 2015, 2017, 2018, 2020, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2014, 2015, 2017, 2018, 2020, 2021, 2022, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=boost
VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z | rev | cut -f 3- -d . | rev | cut -f 2- -d _)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PKG_VERSION=$(echo $VERSION | tr _ .) # Leave this alone
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -72,7 +72,6 @@ else
LIBDIRSUFFIX=""
fi
-PYTHON_VERSION=$(python2 -c 'import sys; print("{}.{}".format(sys.version_info.major, sys.version_info.minor))')
PYTHON3_VERSION=$(python3 -c 'import sys; print("{}.{}".format(sys.version_info.major, sys.version_info.minor))')
TMP=${TMP:-/tmp}
@@ -93,64 +92,19 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# First build bjam, the boost build system:
-./bootstrap.sh \
- --with-toolset=gcc \
- --with-icu \
- --with-python=/usr/bin/python2 || exit 1
-
-# # Next, we build boost using bjam
-./b2 \
- $NUMJOBS \
- --layout=system \
- --build-dir=build-python2 \
- --prefix=/usr \
- --libdir=/usr/lib$LIBDIRSUFFIX \
- --build-type=minimal \
- toolset=gcc \
- variant=release \
- debug-symbols=off \
- link=shared \
- threading=multi \
- runtime-link=shared \
- python=$PYTHON_VERSION \
- cflags="$SLKCFLAGS" \
- cxxflags="$SLKCFLAGS $EXTRA_CXXFLAGS" \
- stage || exit 1
-
-# # And then install boost..
-./b2 \
- $NUMJOBS \
- --layout=system \
- --build-dir=build-python2 \
- --prefix=$PKG/usr \
- --libdir=$PKG/usr/lib$LIBDIRSUFFIX \
- --build-type=minimal \
- toolset=gcc \
- variant=release \
- debug-symbols=off \
- link=shared \
- threading=multi \
- runtime-link=shared \
- python=$PYTHON_VERSION \
- cflags="$SLKCFLAGS" \
- cxxflags="$SLKCFLAGS $EXTRA_CXXFLAGS" \
- install || exit 1
-
-# one more run to build libboost_python3..
-sed -e '/using python/ s@;@: /usr/include/python${PYTHON_VERSION/3*/${PYTHON_VERSION}} ;@' \
- -i bootstrap.sh
+# Fix hardcorded python:
+zcat $CWD/boost.bootstrap.python3.diff.gz | patch -p1 --verbose || exit 1
+# First build bjam, the boost build system:
./bootstrap.sh \
--with-toolset=gcc \
- --with-icu \
- --with-python=/usr/bin/python3 \
- --with-libraries=python || exit 1
+ --with-python=/usr/bin/python3 || exit 1
+# Next, we build boost using bjam:
./b2 \
$NUMJOBS \
--layout=system \
- --build-dir=build-python3 \
+ --build-dir=tmp-build-directory \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--build-type=minimal \
@@ -165,10 +119,11 @@ sed -e '/using python/ s@;@: /usr/include/python${PYTHON_VERSION/3*/${PYTHON_VER
cxxflags="$SLKCFLAGS $EXTRA_CXXFLAGS" \
stage || exit 1
+# And then install boost:
./b2 \
$NUMJOBS \
--layout=system \
- --build-dir=build-python3 \
+ --build-dir=tmp-build-directory \
--prefix=$PKG/usr \
--libdir=$PKG/usr/lib$LIBDIRSUFFIX \
--build-type=minimal \
diff --git a/source/l/boost/boost.bootstrap.python3.diff b/source/l/boost/boost.bootstrap.python3.diff
new file mode 100644
index 000000000..8f6103860
--- /dev/null
+++ b/source/l/boost/boost.bootstrap.python3.diff
@@ -0,0 +1,11 @@
+--- ./bootstrap.sh.orig 2023-12-06 15:02:59.000000000 -0600
++++ ./bootstrap.sh 2024-03-22 12:11:17.510203315 -0500
+@@ -17,7 +17,7 @@
+ LIBDIR=
+ INCLUDEDIR=
+ LIBS=""
+-PYTHON=python
++PYTHON=python3
+ PYTHON_VERSION=
+ PYTHON_ROOT=
+ ICU_ROOT=
diff --git a/source/l/gst-plugins-bad-free/fetch-sources.sh b/source/l/gst-plugins-bad-free/fetch-sources.sh
index 2f5ce2090..f3abff571 100755
--- a/source/l/gst-plugins-bad-free/fetch-sources.sh
+++ b/source/l/gst-plugins-bad-free/fetch-sources.sh
@@ -26,7 +26,7 @@
#
# Example: VERSION=1.18.5 ./fetch-sources.sh
-VERSION=${VERSION:-1.24.0}
+VERSION=${VERSION:-1.24.1}
rm -rf rm -rf gst-plugins-bad-free-$VERSION gst-plugins-bad-$VERSION
diff --git a/source/l/qt5-webkit/icu68.patch b/source/l/qt5-webkit/icu68.patch
new file mode 100644
index 000000000..25f094d7f
--- /dev/null
+++ b/source/l/qt5-webkit/icu68.patch
@@ -0,0 +1,170 @@
+Regressed by https://github.com/unicode-org/icu/commit/c3fe7e09d844
+
+In file included from Source/WebCore/platform/text/TextAllInOne.cpp:31:
+Source/WebCore/platform/text/TextCodecICU.cpp:311:42: error: use of undeclared identifier 'TRUE'
+ ucnv_setFallback(m_converterICU, TRUE);
+ ^
+In file included from Source/WebCore/platform/text/TextAllInOne.cpp:40:
+In file included from Source/WebCore/platform/text/icu/UTextProvider.cpp:27:
+Source/WebCore/platform/text/icu/UTextProvider.h:83:28: error: use of undeclared identifier 'TRUE'
+ isAccessible = TRUE;
+ ^
+Source/WebCore/platform/text/icu/UTextProvider.h:88:28: error: use of undeclared identifier 'FALSE'
+ isAccessible = FALSE;
+ ^
+Source/WebCore/platform/text/icu/UTextProvider.h:97:28: error: use of undeclared identifier 'TRUE'
+ isAccessible = TRUE;
+ ^
+Source/WebCore/platform/text/icu/UTextProvider.h:102:28: error: use of undeclared identifier 'FALSE'
+ isAccessible = FALSE;
+ ^
+In file included from Source/WebCore/platform/text/TextAllInOne.cpp:41:
+Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp:103:20: error: use of undeclared identifier 'TRUE'
+ return TRUE;
+ ^
+Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp:108:20: error: use of undeclared identifier 'FALSE'
+ return FALSE;
+ ^
+Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp:114:20: error: use of undeclared identifier 'TRUE'
+ return TRUE;
+ ^
+Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp:119:20: error: use of undeclared identifier 'FALSE'
+ return FALSE;
+ ^
+Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp:147:12: error: use of undeclared identifier 'TRUE'
+ return TRUE;
+ ^
+Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp:339:16: error: use of undeclared identifier 'FALSE'
+ return FALSE;
+ ^
+Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp:359:12: error: use of undeclared identifier 'TRUE'
+ return TRUE;
+ ^
+In file included from Source/WebCore/platform/text/TextAllInOne.cpp:42:
+Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp:128:16: error: use of undeclared identifier 'FALSE'
+ return FALSE;
+ ^
+Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp:148:12: error: use of undeclared identifier 'TRUE'
+ return TRUE;
+ ^
+
+--- Source/WebCore/platform/text/TextCodecICU.cpp.orig 2020-03-04 17:16:37 UTC
++++ Source/WebCore/platform/text/TextCodecICU.cpp
+@@ -308,7 +308,7 @@ void TextCodecICU::createICUConverter() const
+ m_converterICU = ucnv_open(m_canonicalConverterName, &err);
+ ASSERT(U_SUCCESS(err));
+ if (m_converterICU)
+- ucnv_setFallback(m_converterICU, TRUE);
++ ucnv_setFallback(m_converterICU, true);
+ }
+
+ int TextCodecICU::decodeToBuffer(UChar* target, UChar* targetLimit, const char*& source, const char* sourceLimit, int32_t* offsets, bool flush, UErrorCode& err)
+--- Source/WebCore/platform/text/icu/UTextProvider.h.orig 2020-03-04 17:16:37 UTC
++++ Source/WebCore/platform/text/icu/UTextProvider.h
+@@ -80,12 +80,12 @@ inline bool uTextAccessInChunkOrOutOfRange(UText* text
+ // Ensure chunk offset is well formed if computed offset exceeds int32_t range.
+ ASSERT(offset < std::numeric_limits<int32_t>::max());
+ text->chunkOffset = offset < std::numeric_limits<int32_t>::max() ? static_cast<int32_t>(offset) : 0;
+- isAccessible = TRUE;
++ isAccessible = true;
+ return true;
+ }
+ if (nativeIndex >= nativeLength && text->chunkNativeLimit == nativeLength) {
+ text->chunkOffset = text->chunkLength;
+- isAccessible = FALSE;
++ isAccessible = false;
+ return true;
+ }
+ } else {
+@@ -94,12 +94,12 @@ inline bool uTextAccessInChunkOrOutOfRange(UText* text
+ // Ensure chunk offset is well formed if computed offset exceeds int32_t range.
+ ASSERT(offset < std::numeric_limits<int32_t>::max());
+ text->chunkOffset = offset < std::numeric_limits<int32_t>::max() ? static_cast<int32_t>(offset) : 0;
+- isAccessible = TRUE;
++ isAccessible = true;
+ return true;
+ }
+ if (nativeIndex <= 0 && !text->chunkNativeStart) {
+ text->chunkOffset = 0;
+- isAccessible = FALSE;
++ isAccessible = false;
+ return true;
+ }
+ }
+--- Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp.orig 2020-03-04 17:16:37 UTC
++++ Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp
+@@ -100,23 +100,23 @@ static UBool uTextLatin1Access(UText* uText, int64_t i
+ if (index < uText->chunkNativeLimit && index >= uText->chunkNativeStart) {
+ // Already inside the buffer. Set the new offset.
+ uText->chunkOffset = static_cast<int32_t>(index - uText->chunkNativeStart);
+- return TRUE;
++ return true;
+ }
+ if (index >= length && uText->chunkNativeLimit == length) {
+ // Off the end of the buffer, but we can't get it.
+ uText->chunkOffset = static_cast<int32_t>(index - uText->chunkNativeStart);
+- return FALSE;
++ return false;
+ }
+ } else {
+ if (index <= uText->chunkNativeLimit && index > uText->chunkNativeStart) {
+ // Already inside the buffer. Set the new offset.
+ uText->chunkOffset = static_cast<int32_t>(index - uText->chunkNativeStart);
+- return TRUE;
++ return true;
+ }
+ if (!index && !uText->chunkNativeStart) {
+ // Already at the beginning; can't go any farther.
+ uText->chunkOffset = 0;
+- return FALSE;
++ return false;
+ }
+ }
+
+@@ -144,7 +144,7 @@ static UBool uTextLatin1Access(UText* uText, int64_t i
+
+ uText->nativeIndexingLimit = uText->chunkLength;
+
+- return TRUE;
++ return true;
+ }
+
+ static int32_t uTextLatin1Extract(UText* uText, int64_t start, int64_t limit, UChar* dest, int32_t destCapacity, UErrorCode* status)
+@@ -336,7 +336,7 @@ static int64_t uTextLatin1ContextAwareNativeLength(UTe
+ static UBool uTextLatin1ContextAwareAccess(UText* text, int64_t nativeIndex, UBool forward)
+ {
+ if (!text->context)
+- return FALSE;
++ return false;
+ int64_t nativeLength = uTextLatin1ContextAwareNativeLength(text);
+ UBool isAccessible;
+ if (uTextAccessInChunkOrOutOfRange(text, nativeIndex, nativeLength, forward, isAccessible))
+@@ -356,7 +356,7 @@ static UBool uTextLatin1ContextAwareAccess(UText* text
+ ASSERT(newContext == UTextProviderContext::PriorContext);
+ textLatin1ContextAwareSwitchToPriorContext(text, nativeIndex, nativeLength, forward);
+ }
+- return TRUE;
++ return true;
+ }
+
+ static int32_t uTextLatin1ContextAwareExtract(UText*, int64_t, int64_t, UChar*, int32_t, UErrorCode* errorCode)
+--- Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp.orig 2020-03-04 17:16:37 UTC
++++ Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp
+@@ -125,7 +125,7 @@ static inline int64_t uTextUTF16ContextAwareNativeLeng
+ static UBool uTextUTF16ContextAwareAccess(UText* text, int64_t nativeIndex, UBool forward)
+ {
+ if (!text->context)
+- return FALSE;
++ return false;
+ int64_t nativeLength = uTextUTF16ContextAwareNativeLength(text);
+ UBool isAccessible;
+ if (uTextAccessInChunkOrOutOfRange(text, nativeIndex, nativeLength, forward, isAccessible))
+@@ -145,7 +145,7 @@ static UBool uTextUTF16ContextAwareAccess(UText* text,
+ ASSERT(newContext == UTextProviderContext::PriorContext);
+ textUTF16ContextAwareSwitchToPriorContext(text, nativeIndex, nativeLength, forward);
+ }
+- return TRUE;
++ return true;
+ }
+
+ static int32_t uTextUTF16ContextAwareExtract(UText*, int64_t, int64_t, UChar*, int32_t, UErrorCode* errorCode)
diff --git a/source/l/qt5-webkit/qt5-webkit.bison27.patch b/source/l/qt5-webkit/qt5-webkit-bison-3.7.patch
index e8f66ab14..13dd68182 100644
--- a/source/l/qt5-webkit/qt5-webkit.bison27.patch
+++ b/source/l/qt5-webkit/qt5-webkit-bison-3.7.patch
@@ -14,12 +14,12 @@ them itself since version 2.6.3.
1 file changed, 1 insertion(+), 20 deletions(-)
diff --git a/Source/WebCore/css/makegrammar.pl b/Source/WebCore/css/makegrammar.pl
-index 5d63b08102eb..9435701c7061 100644
+index 5d63b08102eb5..9435701c70612 100644
--- a/Source/WebCore/css/makegrammar.pl
+++ b/Source/WebCore/css/makegrammar.pl
@@ -73,25 +73,6 @@
}
-
+
my $fileBase = File::Spec->join($outputDir, $filename);
-my @bisonCommand = ($bison, "-d", "-p", $symbolsPrefix, $grammarFilePath, "-o", "$fileBase.cpp");
+my @bisonCommand = ($bison, "--defines=$fileBase.h", "-p", $symbolsPrefix, $grammarFilePath, "-o", "$fileBase.cpp");
diff --git a/source/l/qt5-webkit/qt5-webkit-python-3.9.patch b/source/l/qt5-webkit/qt5-webkit-python-3.9.patch
new file mode 100644
index 000000000..bad26ef54
--- /dev/null
+++ b/source/l/qt5-webkit/qt5-webkit-python-3.9.patch
@@ -0,0 +1,27 @@
+From 78360c01c796b6260bf828bc9c8a0ef73c5132fd Mon Sep 17 00:00:00 2001
+From: Konstantin Tokarev <annulen@yandex.ru>
+Date: Wed, 3 Jun 2020 15:01:42 +0300
+Subject: [PATCH] Fix compilation with Python 3.9: avoid passing encoding to
+ json.load()
+
+In Python 2.7 UTF-8 is assumed by default, while in Python 3 this argument
+is not supported.
+
+Change-Id: Ic459d60a6b20bc1838d8771bc36ac41614fe61a9
+---
+ Source/JavaScriptCore/generate-bytecode-files | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Source/JavaScriptCore/generate-bytecode-files b/Source/JavaScriptCore/generate-bytecode-files
+index c5dab429c7b0f..af3431275ecf9 100644
+--- a/Source/JavaScriptCore/generate-bytecode-files
++++ b/Source/JavaScriptCore/generate-bytecode-files
+@@ -163,7 +163,7 @@ if __name__ == "__main__":
+ initBytecodesFile = openOrExit(initASMFileName, "w")
+
+ try:
+- bytecodeSections = json.load(bytecodeFile, encoding = "utf-8")
++ bytecodeSections = json.load(bytecodeFile)
+ except:
+ print("Unexpected error parsing {0}: {1}".format(bytecodeJSONFile, sys.exc_info()))
+
diff --git a/source/l/qt5-webkit/qt5-webkit.SlackBuild b/source/l/qt5-webkit/qt5-webkit.SlackBuild
index fddb4f57c..b0bd6ddc2 100755
--- a/source/l/qt5-webkit/qt5-webkit.SlackBuild
+++ b/source/l/qt5-webkit/qt5-webkit.SlackBuild
@@ -2,7 +2,7 @@
# Copyright 2015 Heinz Wiesinger, Amsterdam, The Netherlands
# Copyright 2016, 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2020, 2023, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -98,7 +98,7 @@ else
fi
# Fix for bison 3.7.x:
-zcat $CWD/qt5-webkit.bison27.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/qt5-webkit-bison-3.7.patch.gz | patch -p1 --verbose || exit 1
# Fix for glib-2.68.0:
zcat $CWD/qt5-webkit.glib-2.68.0.diff.gz | patch -p1 --verbose || exit 1
@@ -109,6 +109,12 @@ zcat $CWD/webkit-offlineasm-warnings-ruby27.patch | patch -p1 --verbose || exit
# Fix for gcc13:
zcat $CWD/qt5-webkit.gcc13.diff.gz | patch -p1 --verbose || exit 1
+# Fix for icu68:
+zcat $CWD/icu68.patch.gz | patch -p0 --verbose || exit 1
+
+# Use python3:
+zcat $CWD/qt5-webkit-python-3.9.patch.gz | patch -p1 --verbose || exit 1
+
# -DU_DEFINE_FALSE_AND_TRUE=1 since recent icu4c no longer defines these otherwise.
export CFLAGS="$SLKCFLAGS -DU_DEFINE_FALSE_AND_TRUE=1"
diff --git a/source/l/unicode-ucd/fetch-sources.sh b/source/l/unicode-ucd/fetch-sources.sh
new file mode 100755
index 000000000..c02a4ad07
--- /dev/null
+++ b/source/l/unicode-ucd/fetch-sources.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+VERSION=${VERSION:-15.1.0}
+
+rm -f UCD*.zip Unihan*.zip license.txt
+lftpget https://www.unicode.org/Public/zipped/$VERSION/UCD.zip
+lftpget https://www.unicode.org/Public/zipped/$VERSION/Unihan.zip
+lftpget https://www.unicode.org/license.txt
+
+mv UCD.zip UCD-${VERSION}.zip
+mv Unihan.zip Unihan-${VERSION}.zip
diff --git a/source/l/unicode-ucd/license.txt b/source/l/unicode-ucd/license.txt
new file mode 100644
index 000000000..ee8e69b23
--- /dev/null
+++ b/source/l/unicode-ucd/license.txt
@@ -0,0 +1,39 @@
+UNICODE LICENSE V3
+
+COPYRIGHT AND PERMISSION NOTICE
+
+Copyright © 1991-2024 Unicode, Inc.
+
+NOTICE TO USER: Carefully read the following legal agreement. BY
+DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING DATA FILES, AND/OR
+SOFTWARE, YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE
+TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT
+DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of data files and any associated documentation (the "Data Files") or
+software and any associated documentation (the "Software") to deal in the
+Data Files or Software without restriction, including without limitation
+the rights to use, copy, modify, merge, publish, distribute, and/or sell
+copies of the Data Files or Software, and to permit persons to whom the
+Data Files or Software are furnished to do so, provided that either (a)
+this copyright and permission notice appear with all copies of the Data
+Files or Software, or (b) this copyright and permission notice appear in
+associated Documentation.
+
+THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
+KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF
+THIRD PARTY RIGHTS.
+
+IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE
+BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES,
+OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA
+FILES OR SOFTWARE.
+
+Except as contained in this notice, the name of a copyright holder shall
+not be used in advertising or otherwise to promote the sale, use or other
+dealings in these Data Files or Software without prior written
+authorization of the copyright holder.
diff --git a/source/l/unicode-ucd/slack-desc b/source/l/unicode-ucd/slack-desc
new file mode 100644
index 000000000..318a00e39
--- /dev/null
+++ b/source/l/unicode-ucd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+unicode-ucd: unicode-ucd (Unicode Character Database)
+unicode-ucd:
+unicode-ucd: The Unicode Character Database (UCD) consists of a number of data
+unicode-ucd: files listing Unicode character properties and related data. It also
+unicode-ucd: includes test data for conformance to several important Unicode
+unicode-ucd: algorithms.
+unicode-ucd:
+unicode-ucd: Homepage: https://www.unicode.org
+unicode-ucd:
+unicode-ucd:
+unicode-ucd:
diff --git a/source/l/unicode-ucd/unicode-ucd.SlackBuild b/source/l/unicode-ucd/unicode-ucd.SlackBuild
new file mode 100755
index 000000000..e4b2d7098
--- /dev/null
+++ b/source/l/unicode-ucd/unicode-ucd.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=unicode-ucd
+VERSION=${VERSION:-$(echo UCD-*.zip | rev | cut -f 2- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+mkdir -p $PKG/usr/share/unicode
+( cd $PKG/usr/share/unicode
+ # Unfortunately we have to keep these large zip files in here because at
+ # least gucharmap can't handle the extracted files.
+ cp -a $CWD/UCD-${VERSION}.zip . || exit 1
+ cp -a $CWD/Unihan-${VERSION}.zip . || exit 1
+ mv UCD-${VERSION}.zip UCD.zip || exit 1
+ mv Unihan-${VERSION}.zip Unihan.zip || exit 1
+ unzip UCD.zip || exit 1
+ unzip Unihan.zip || exit 1
+) || exit 1
+
+# Compatibility symlinks that allow most things to find this:
+ln -sf . $PKG/usr/share/unicode/ucd
+ln -sf unicode $PKG/usr/share/unicode-character-database
+ln -sf unicode $PKG/usr/share/unicode-data
+ln -sf unicode $PKG/usr/share/unidata
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a license.txt $PKG/usr/doc/${PKGNAM}-$VERSION
+
+chown -R root:root $PKG
+find $PKG -type d -exec chmod 755 "{}" \;
+find $PKG -type f -exec chmod 644 "{}" \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/xap/gucharmap/gucharmap.SlackBuild b/source/xap/gucharmap/gucharmap.SlackBuild
index f77ff3bb3..b1755008c 100755
--- a/source/xap/gucharmap/gucharmap.SlackBuild
+++ b/source/xap/gucharmap/gucharmap.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2017, 2018, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gucharmap
-VERSION=${VERSION:-$(echo gucharmap-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo gucharmap-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,7 +67,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gucharmap-$VERSION
-tar xvf $CWD/gucharmap-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/gucharmap-$VERSION.tar.?z || exit 1
cd gucharmap-$VERSION || exit 1
chown -R root:root .
find . \
@@ -76,22 +76,28 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+unshare -n meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
- --localstatedir=/var/lib \
- --docdir=/usr/doc/gucharmap-$VERSION \
- --enable-static=no \
- --with-unicode-data=download \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --localstatedir=/var \
+ --buildtype=release \
+ -Ducd_path=/usr/share/unicode \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# We don't want the gconf stuff
rm -rf $PKG/etc
diff --git a/source/xap/gucharmap/gucharmap.url b/source/xap/gucharmap/gucharmap.url
new file mode 100644
index 000000000..30458a768
--- /dev/null
+++ b/source/xap/gucharmap/gucharmap.url
@@ -0,0 +1 @@
+https://gitlab.gnome.org/GNOME/gucharmap
diff --git a/source/xap/gucharmap/slack-desc b/source/xap/gucharmap/slack-desc
index 83ba3e56d..ac59f1afa 100644
--- a/source/xap/gucharmap/slack-desc
+++ b/source/xap/gucharmap/slack-desc
@@ -10,7 +10,7 @@ gucharmap: gucharmap (character map utility)
gucharmap:
gucharmap: gucharmap is a Unicode character map and font viewer.
gucharmap:
-gucharmap:
+gucharmap: Homepage: https://gitlab.gnome.org/GNOME/gucharmap
gucharmap:
gucharmap:
gucharmap: